Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.messaging
Interface IMessageFactory

    public interface IMessageFactory

Factory Interface that allows creation of IMessage(s) and there components

Method Summary
`IField` | `createField()` Creates an IField
`IFieldGroup` | `createFieldGroup()` Instantiates default implemetation of IFieldGroup.
`IFieldGroupList` | `createFieldGroupList()` Instantiates default implemetation of IFieldGroupList.
`IMessage` | `createMessage(IFieldGroup aGroup)` Creates an empty IMessage object given the IFieldGroup
`IMessage` | `createMessage(String aMsgType)` Creates empty IMessage object with given message type.
`IMessage` | `createMessage(String aSessionID, String aMsgType)` Creates of empty IMessage object for given session and message type.

Method Detail

### createField

    IField createField()

  Creates an IField

  Returns:
    a valid IField

### createFieldGroup

    IFieldGroup createFieldGroup()

  Instantiates default implemetation of IFieldGroup.

  Returns:
    `null` when creation fails

### createFieldGroupList

    IFieldGroupList createFieldGroupList()

  Instantiates default implemetation of IFieldGroupList.

  Returns:
    `null` when creation fails

### createMessage

    IMessage createMessage(String aSessionID,
                           String aMsgType)

  Creates of empty IMessage object for given session and message type.

  Parameters:
    `aSessionID` - user session ID
    `aMsgType` - message type code
  Returns:
    `null` when creation fails

### createMessage

    IMessage createMessage(String aMsgType)

  Creates empty IMessage object with given message type.

  Parameters:
    `aMsgType` - message type code
  Returns:
    `null` when creation fails

### createMessage

    IMessage createMessage(IFieldGroup aGroup)

  Creates an empty IMessage object given the IFieldGroup

  Parameters:
    `aGroup` -
  Returns:
    valid IMessage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.